<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="userResetPasswod.aspx.cs" Inherits="HySoft.BaseCallCenter.Web.sysmanage.userResetPasswod" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>密码重设</title>
     <link href="../../scripts/ui/skins/Aqua/css/ligerui-all.css" rel="stylesheet" type="text/css" />
    <link href="../images/style.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="../../scripts/jquery/jquery-1.8.3.min.js"></script>
    <script type="text/javascript" src="../../scripts/jquery/jquery.form.js"></script>
    <script type="text/javascript" src="../../scripts/jquery/jquery.validate.min.js"></script>
    <script type="text/javascript" src="../../scripts/jquery/messages_cn.js"></script>
    <script type="text/javascript" src="../../scripts/ui/js/ligerBuild.min.js"></script>
    <script type="text/javascript" src="../../scripts/function.js"></script>
    <script src="../scripts/calendar.js" type="text/javascript"></script>
    <script src="../scripts/ui/js/core/base.js" type="text/javascript"></script>
    <script src="../scripts/ui/js/plugins/ligerDialog.js" type="text/javascript"></script>
    <script src="../scripts/ui/js/plugins/ligerDrag.js" type="text/javascript"></script>
    <script type="text/javascript" >
        function validateone_password() {
            if ($("#txtone_password").val() == "" || $("#txtone_password").val() == undefined) {
                //jsprint("密码不允许为空！", "", "Error", "");
                //$("#txtone_password").focus();
                document.getElementById("lbone_password").innerHTML = "* 不为空！";
                document.getElementById("lbone_password").style.color = "red";
                return false;
            }
            else {
                document.getElementById("lbone_password").innerHTML = "*";
                document.getElementById("lbone_password").style.color = "#414141";
                return true;
            }
        }

        function validateone_passwordnew() {
            if ($("#txtone_passwodnew").val() == "" || $("#txtone_passwodnew").val() == undefined) {
                //jsprint("密码不允许为空！", "", "Error", "");
                //$("#txtone_password").focus();
                document.getElementById("lbone_passwordnew").innerHTML = "* 不为空！";
                document.getElementById("lbone_passwordnew").style.color = "red";
                return false;
            }
            else {
                document.getElementById("lbone_passwordnew").innerHTML = "*";
                document.getElementById("lbone_passwordnew").style.color = "#414141";
                return true;
            }
        }

        function validateone_password1() {
            if ($("#txtone_passwodnew").val() != $("#txtone_password1").val()) {
                document.getElementById("lbone_password1").innerHTML = "* 密码不一致！";
                document.getElementById("lbone_password1").style.color = "red";
                return false;
            }
            else {
                document.getElementById("lbone_password1").innerHTML = "*";
                document.getElementById("lbone_password1").style.color = "#414141";
                return true;
            }
        }
        function validate() {
            var i = 0;
            if (!validateone_password()) {
                i++;
            }
            if (!validateone_passwordnew()) {
                i++;
            }
            if (!validateone_password1()) {
                i++;
            }
            if (i > 0) {
                return false;
            }
            return true;
        }

        function CloseThis() {
            var dialog = frameElement.dialog;
            parent.LoadList();
            dialog.close();
            //parent.window.LoadList(); 
        }

    
    </script>

</head>
<body class="mainbody" scroll="no" style="margin-top: 0px;">
    <form id="form1" runat="server">
    <div id="contentTab">
        <ul class="tab_nav">
            <li class="selected"><a onclick="tabs('#contentTab',0);" href="javascript:;">重设密码</a></li>
        </ul>
        <div class="tab_con" style="display: block; height: 200px;">
            <table class="form_table">
                <col width="100px" />
                <col />
                <col width="100px" />
                <col />
                <tbody>
                    <tr>
                        <th>
                            员工工号：
                        </th>
                        <td>
                            <asp:TextBox ID="txtWorkingCode" runat="server" CssClass="txtInput normal" Style="width: 120px;" ReadOnly="true"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                     <th>
                            员工姓名：
                        </th>
                        <td>
                            <asp:TextBox ID="txtRealName" runat="server" CssClass="txtInput normal" Style="width: 120px;" ReadOnly="true"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <th>
                            原&nbsp;&nbsp;密&nbsp;&nbsp;码：
                        </th>
                        <td>
                            <asp:TextBox ID="txtone_password" runat="server" TextMode="Password" CssClass="txtInput normal"
                                Style="width: 120px;"></asp:TextBox><label id="lbone_password" for="txtone_password">*</label>
                        </td>
                       
                    </tr>
                     <tr>
                     <th>
                            新&nbsp;&nbsp;密&nbsp;&nbsp;码：
                        </th>
                        <td>
                            <asp:TextBox ID="txtone_passwodnew" runat="server" TextMode="Password" CssClass="txtInput normal"
                                Style="width: 120px;"></asp:TextBox><label id="lbone_passwordnew" for="txtone_passwodnew">*</label>
                        </td>
                    </tr>
                    <tr>
                     <th>
                            确认密码：
                        </th>
                        <td>
                            <asp:TextBox ID="txtone_password1" runat="server" TextMode="Password" CssClass="txtInput normal"
                                Style="width: 120px;"></asp:TextBox><label id="lbone_password1" for="txtone_password1">*</label>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="foot_btn_box">
            <asp:Button ID="btnSubmit" runat="server" Text="保&nbsp;&nbsp;存" CssClass="btnSubmit"
                OnClientClick="return validate();" OnClick="btnSubmit_Click" />
        </div>
    </div>
    </form>
</body>
</html>
